%define major	2
%define libname	%mklibname zxing %{major}
%define devname	%mklibname zxing -d

%bcond_with examples

Name:		zxing-cpp
Version:	1.4.0
Release:	%mkrel 2
Summary:	C++ port of the ZXing ("Zebra Crossing") barcode scanning library
Group:		System/Libraries
License:	LGPLv2+
Url:		https://github.com/nu-book/zxing-cpp
Source0:	https://github.com/nu-book/zxing-cpp/archive/v%{version}/%{name}-%{version}.tar.gz
# From Debian:
Patch51:	0001-CMakeLists.txt-Use-top-level-GNUInstallDirs.patch
Patch54:	0004-Bump-SONAME-to-2.patch
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	libstdc++-static-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Quick)

%description
This project is a C++ port of ZXing Library.

Same as ZXing, following barcode are supported:
* 1D product: UPC-A UPC-E EAN-8 EAN-13
* 1D industrial: Code 39, Code 93, Code 128, Codabar,
  ITF, RSS-14, RSS-Expanded
* 2D: QR Code, Data Matrix, Aztec (beta), PDF 417 (beta)

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}zxing1 > 1.4.0-0

%description -n %{libname}
This project is a C++ port of ZXing Library.

Same as ZXing, following barcode are supported:
* 1D product: UPC-A UPC-E EAN-8 EAN-13
* 1D industrial: Code 39, Code 93, Code 128, Codabar,
  ITF, RSS-14, RSS-Expanded
* 2D: QR Code, Data Matrix, Aztec (beta), PDF 417 (beta)

%files -n %{libname}
%{_libdir}/libZXing.so.%{major}
%{_libdir}/libZXing.so.%{version}

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	zxingcore-devel = %{version}-%{release}
Obsoletes:	%{_lib}zxing-cpp-devel < 1.1.0-2

%description -n %{devname}
This package contains the development files for %{name}.

%files -n %{devname}
%{_includedir}/ZXing/
%{_libdir}/libZXing.so
%{_libdir}/cmake/ZXing/
%{_libdir}/pkgconfig/zxing.pc

#----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -GNinja \
  -DCMAKE_INSTALL_LIBDIR:PATH=%{_lib} \
  -DBUILD_SHARED_LIBS:BOOL=ON \
  -DBUILD_DEPENDENCIES:STRING=LOCAL \
  -DBUILD_EXAMPLES:BOOL=%{?with_examples:ON}%{?!with_examples:OFF} \
  -DBUILD_BLACKBOX_TESTS:BOOL=OFF \
  -DBUILD_UNIT_TESTS:BOOL=OFF \
  -DBUILD_PYTHON_MODULE:BOOL=OFF
%cmake_build

%install
%cmake_install

# Temporary fix for libreoffice build
install -Dpm644 core/src/BitArray.h %{buildroot}%{_includedir}/ZXing/


%changelog
* Mon Dec 26 2022 wally <wally> 1.4.0-2.mga9
+ Revision: 1926923
- bump lib major to 2 due to API breakage (from Debian)
- install BitArray.h header manually for libreoffice build

* Sat Dec 24 2022 wally <wally> 1.4.0-1.mga9
+ Revision: 1926299
- new version 1.4.0

* Wed Apr 06 2022 umeabot <umeabot> 1.2.0-3.mga9
+ Revision: 1845877
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 ns80 <ns80> 1.2.0-2.mga9
+ Revision: 1775326
- add patch from openSUSE for CVE-2021-28021 and CVE-2021-4271[56] (mga#29937)

* Sun Aug 08 2021 luigiwalser <luigiwalser> 1.2.0-1.mga9
+ Revision: 1740345
- 1.2.0

* Thu Dec 17 2020 umeabot <umeabot> 1.1.1-2.mga8
+ Revision: 1660345
- Rebuild for new Qt5

* Mon Sep 14 2020 daviddavid <daviddavid> 1.1.1-1.mga8
+ Revision: 1626505
- new version: 1.1.1

* Sun Sep 13 2020 wally <wally> 1.1.0-3.mga8
+ Revision: 1625939
- add more fixes for pkg-conf .pc file

* Sun Sep 13 2020 wally <wally> 1.1.0-2.mga8
+ Revision: 1625762
- fix devel pkg name
- fix version in pkg-conf .pc file

* Sat Aug 08 2020 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1611977
- new version: 1.1.0
- upstream rename the library from libZXingCore to libZXing

* Mon Apr 06 2020 daviddavid <daviddavid> 1.0.8-1.mga8
+ Revision: 1565066
- initial package zxing-cpp

